## org.eclipse.jetty.client.security
Interface Authentication

All Known Implementing Classes:
  BasicAuthentication, DigestAuthentication, ProxyAuthorization

    public interface Authentication

Simple authentication interface that sets required fields on the exchange.

Method Summary
`void` `setCredentials(HttpExchange exchange)`

Method Detail

### setCredentials

    void setCredentials(HttpExchange exchange)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.